#use appimage at https://ungoogled-software.github.io/ungoogled-chromium-binaries/

%undefine __find_provides
%undefine __find_requires
%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}
%define oname chromium-ungoogled

Summary: Chromium Browser Ungoogled
Name: chromium-ungoogled-browser
Version: 123.0.6312.122
Release: %mkrel 1
License: GPL
Group: Networking/WWW
URL: https://ungoogled-software.github.io/ungoogled-chromium-binaries
Vendor: Google Inc.
Source1: %{oname}.desktop
Source2: %{oname}.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
AutoProv: no
%define _requires_exceptions libminigbm.so()(64bit)
Obsoletes: chromium-ungoogled
Provides: chromium-ungoogled = %{version}-%{release}

%description
Chromium ungoogled is the Chromium Web Browser with Google hooks
disabled or removed. If replacing your existing Chromium browser then
please delete .config/chromium folder to start with a clean profile.


%prep

%build

%install

pushd %{_sourcedir}
wget -nc https://github.com/ungoogled-software/ungoogled-chromium-portablelinux/releases/download/%{version}-1/ungoogled-chromium_%{version}-1.AppImage
popd

install -Dm 0755 %{_sourcedir}/ungoogled-chromium_%{version}-1.AppImage %{buildroot}/opt/appimage/%{oname}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{oname}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{oname}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{oname}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{oname}

%files
%defattr(-,root,root)
%{_bindir}/%{oname}
%{_datadir}/applications/%{oname}.desktop
%{_datadir}/pixmaps/%{oname}.png
/opt/appimage/%{oname}-%{version}-linux-x86_64.AppImage

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus


%changelog
* Wed Apr 17 2024 tex - 123.0.6312.122-1pclos2024
- new version

* Thu Apr 11 2024 tex - 123.0.6312.105-1pclos2024
- new version

* Thu Mar 21 2024 tex - 122.0.6261.128-1pclos2024
- new version

* Wed Mar 13 2024 tex - 122.0.6261.111-1pclos2024
- new version

* Thu Mar 07 2024 tex - 122.0.6261.94-1pclos2024
- new version

* Mon Feb 26 2024 tex - 122.0.6261.69-1pclos2024
- new version

* Wed Feb 21 2024 tex - 121.0.6167.184-1pclos2024
- new version

* Thu Feb 15 2024 tex - 121.0.6167.160-1pclos2024
- new version


